#!/bin/bash

trap '{ echo "quit" ; ./pcie_ctrlplane 1 0x00; exit 1;}' SIGHUP SIGINT SIGQUIT SIGILL SIGABRT SIGKILL SIGTERM SIGSTOP

TRUE=1
while [ TRUE ]
do
./pcie_ctrlplane 1 0x01
sleep 0.1
./pcie_ctrlplane 1 0x02
sleep 0.1
./pcie_ctrlplane 1 0x04
sleep 0.1
./pcie_ctrlplane 1 0x08
sleep 0.1
./pcie_ctrlplane 1 0x10
sleep 0.1
./pcie_ctrlplane 1 0x20
sleep 0.1
./pcie_ctrlplane 1 0x40
sleep 0.1
./pcie_ctrlplane 1 0x80
sleep 0.1
done
